Gandi
probe Domains

# list_domains

List all domains or those matching the given TLD or FQDN filters and return the list as-is

Run it now
View details

Type | probe
Module | chaosgandi.domains.probes
Name | list_domains
Return | list

Usage

JSON

    {
      "name": "list-domains",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgandi.domains.probes",
        "func": "list_domains"
      }
    }

YAML

    name: list-domains
    provider:
      func: list_domains
      module: chaosgandi.domains.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
fqdn_filter | string | null | No | FQDN Filter |
tld_filter | string | null | No | TLD Filter |

See https://api.gandi.net/docs/domains/#v5-domain-domains

Signature

    def list_domains(
        fqdn_filter: str = None,
        tld_filter: str = None,
        configuration: Dict[str, Dict[str, str]] = None,
        secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
      pass

## Related starters

- Gandi
  probe Domains

  ## `list_nameservers`

  List nameservers set for this domain and return them as a list of strings
- Gandi
  probe Domains

  ## `list_nameservers`

  List nameservers set for this domain and return them as a list of strings
- AWS
  action EKS

  ## `delete_cluster`

  Delete the given EKS cluster